#subir-imagen {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.7s ease-in-out;
    /* Animación suave para la altura */
    margin-top: 20px;
    /* Espacio opcional arriba */
    padding: 0 20px;
    /* Evita que el contenido se desborde durante la animación */
    box-sizing: border-box;
    scroll-margin-top: 95px;
    /* para el header fijo */
}

#subir-imagen.visible {
    max-height: 1000px;
    /* Ajusta este valor si tu contenido es más alto */
    padding-top: 20px;
    /* Espacio interior cuando está visible */
    padding-bottom: 20px;
    /* Espacio interior cuando está visible */
}

/* Estilo opcional para el botón cuando la sección está abierta */
#upload-toggle.active span {
    font-weight: bold;
    /* Podrías cambiar el icono o el texto aquí también con JS */
}

#subir-imagen-anchor {
    position: relative;
    top: -95px;
    /* desplaza el ancla 95px hacia arriba */
    height: 0;
    /* no ocupa espacio visual */
    visibility: hidden;
}